It is currently Mon Feb 19, 2018 7:46 pm


All times are UTC




Post new topic Reply to topic  [ 15 posts ]  Go to page 1, 2  Next
Author Message
 Post subject: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debian
PostPosted: Mon Aug 18, 2014 11:36 am 
Offline

Joined: Fri Mar 05, 2010 11:33 am
Posts: 1494
Location: Australia
This script has been tested on 32 bit Linux Mint 17 and 32 bit Ubuntu 14.04, and is an updated version of my earlier alpha installer

2014-10-28 - this post has been superseded by this post on the official new sitewhere an even later version of the script can be found. This post will no longer have this script updated.

Attachment:
installGNS3v1.sh.tar.gz [9.33 KiB]
Downloaded 764 times



Download the compressed file and decompress it in yout home directory

The script attempts to setup the GNS3v1 beta on your existing Linux system.
It is based on instructions at post27906.html
topic8988.html and https://github.com/GNS3/gns3-server
post28922.html and topic11444.html
If you have problems, please refer to the forum posts. Good Luck
It will, depending on the type of install you choose:
* Create my recommended directory structure for you
* Install git (developer install)
* Install subversion (developer install)
* Install bison parser generator (developer install)
* Install flex lexical analyzer (developer install)
* Install all the python stuff you need
* Install dynamips
* Install pip
* Install Dan Lintott's gns3-converter post35824.html
* Install vboxwrapper and VirtualBox
* Install iouyap -Ref: topic8966.html
* Fix link to libssl1.0.0 -Ref: topic8988.html
* Install SSH
* Install Wireshark
* Install VPCS
* Install BBE
* Install ROXTerm
* Create a iourc file for you (you'll have to add your own licence)
* Add an entry to your hosts file for xml.cisco.com
* Install gns3-server (beta)
* Install gns3-gui (beta)

When run (must be run as sudo) it will give you 6 options:

Quote:
An archive install installs dynamips from the deb repository, and gns3 components from the latest release version using wget (Safest option)

A developer install pulls latest development sourcecode for dynamips, iouyap, vpcs, gns3-server and gns3-gui using git clone or git pull (or svn for vpcs)
This is the bleeding edge code.

Full install options re-installs everything - no questions asked
Note: Will not overwrite iourc if it exists
Normally, supplemtary apps like pip and ssh are skipped if already installed.
The full archive install can also be invoked using the -full command line option.

Would you like:
a. an interactive archive (release version) install?
A. an archive (release version) install? - no questions asked.
f. a full archive install (re-installs everything)? - no questions asked.

d. an interactive developer (bleeding edge) install?
D. a developer (bleeding edge) install? - no questions asked.
F. a full developer install (re-installs everything)? - no questions asked.

q. quit. Get me out of here!

a/A/d/D/f/F/q [a]



_________________
RedNectar
http://rednectar.net
@rednectarchris
GNS3 WorkBench-a VMware image of Ubuntu with GNS3 and VPCS installed and a collection of exercises/labs


Last edited by rednectar on Mon Oct 27, 2014 9:17 pm, edited 6 times in total.
Updated to v1.7


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Mon Aug 18, 2014 4:40 pm 
Offline

Joined: Sun Sep 16, 2012 9:55 pm
Posts: 541
Location: England
Look's good Chris!

With regards to line 481... you can simply remove it. netifaces-py3 no longer exists, as the python2 and python3 versions merged. [Edit by RedNectar: Done ]

_________________
Daniel
Forum Moderator & Debian Package Maintainer for GNS3, Dynamips & VPCS.
Standalone DEB Packages are available from http://gns3.serverb.co.uk - To be updated!


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Mon Aug 18, 2014 8:13 pm 
Offline

Joined: Fri Mar 05, 2010 11:33 am
Posts: 1494
Location: Australia
Thanks Dan. It is a bit rough-and-ready, but it allows me to update quickly, and if "Developer (bleeding edge)" goes to putty, I run it again and go back to an archive install. I included your converter, but to be honest I actually haven't converted anything yet.

_________________
RedNectar
http://rednectar.net
@rednectarchris
GNS3 WorkBench-a VMware image of Ubuntu with GNS3 and VPCS installed and a collection of exercises/labs


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Tue Aug 19, 2014 11:40 pm 
Offline

Joined: Wed Nov 20, 2013 11:38 pm
Posts: 2
Just one word, God bless you.


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Wed Aug 20, 2014 7:02 pm 
Offline

Joined: Thu Sep 26, 2013 6:25 pm
Posts: 3
Hi Red,
You script works flawlessly except when it comes to installing the server, everytime I run from any option I end up getting this error:

File "/tmp/easy_install-aknv2e/jsonschema-2.4.0/setup.py", line 3, in <module>
# Copyright (C) 2013 GNS3 Technologies Inc.
File "/tmp/easy_install-aknv2e/jsonschema-2.4.0/jsonschema/__init__.py", line 18, in <module>
File "/tmp/easy_install-aknv2e/jsonschema-2.4.0/jsonschema/validators.py", line 41
if u"id" in cls.META_SCHEMA:
^
SyntaxError: invalid syntax
Testing gns3server
Traceback (most recent call last):
File "/usr/local/bin/gns3server", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/local/lib/python3.2/dist-packages/pkg_resources.py", line 2872, in <module>
working_set = WorkingSet._build_master()
File "/usr/local/lib/python3.2/dist-packages/pkg_resources.py", line 449, in _build_master
ws.require(__requires__)
File "/usr/local/lib/python3.2/dist-packages/pkg_resources.py", line 745, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/local/lib/python3.2/dist-packages/pkg_resources.py", line 639, in resolve
raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: jsonschema>=2.3.0
gns3server failed to install - aborting


I'm unning Debian 7 x64.
Thanks for the help.


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Wed Aug 20, 2014 7:50 pm 
Offline

Joined: Fri Mar 05, 2010 11:33 am
Posts: 1494
Location: Australia
Like I said:
Quote:
This script has been tested on 32 bit Linux Mint 17 and 32 bit Ubuntu 14.04


I haven't had a chance to look at 64 bit OS yet, and am not likely to get a chance to look at anything much for the next 3 weeks (too much to do at work). Sorry about that. I know there has been a long discussion about someone doing a 64-bit custom install here: topic11406.html

_________________
RedNectar
http://rednectar.net
@rednectarchris
GNS3 WorkBench-a VMware image of Ubuntu with GNS3 and VPCS installed and a collection of exercises/labs


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Wed Aug 20, 2014 8:21 pm 
Offline

Joined: Thu Sep 26, 2013 6:25 pm
Posts: 3
Ahh my bad for not paying attention. Will test with x86.

Thanks for the reply.


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Tue Oct 14, 2014 3:35 am 
Offline

Joined: Sun Jun 08, 2014 10:44 pm
Posts: 4
Fresh setup with your script and I try t add a VPCS:
Code:
PC1: VPCS executable version must be >= 0.5b1

Version installed with the script for me is 0.5b0.

I tried setting up the GNS3 directory structure as in v8.7 e.g. 'mkdir -p ~/GNS3/Images/{ASA,Junos}' but after running the script and starting GNS3 the directories inside ~/GNS3 being used are now lower case.

How far out until we can see the exercises added?

Thanks.


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Tue Oct 14, 2014 10:28 am 
Offline

Joined: Fri Mar 05, 2010 11:33 am
Posts: 1494
Location: Australia
I kind of fixed that in version 1.6 of the script. Just issue the command
./installGNS3v1.sh -v

If it reports something like:
Code:
Component                        Version   
GNS3v1 Installer, 2014-09-27:    1.6      
GNS3 Server:                     1.0beta3   
GNS3 GUI:                        1.0beta3   
Dynamips:                        0.2.11      
GNS3 Topology Converter:         0.4.0      
Virtual PC Simulator:            0.5b2      


then run the installer again - you can run it interactively and just update VPCS if you like.

In version 1.6 I added a check to see if VPCS v0.5b0 was installed and if so, updated to the latest!

If it DOESN'T report something like that - download the installer again from the original link above then run the installer agin.

_________________
RedNectar
http://rednectar.net
@rednectarchris
GNS3 WorkBench-a VMware image of Ubuntu with GNS3 and VPCS installed and a collection of exercises/labs


Top
 Profile  
 
 Post subject: Re: HOW TO install GNS3 v1.0 beta on Ubuntu/Linux Mint/Debia
PostPosted: Sat Oct 18, 2014 4:29 am 
Offline

Joined: Sun Jun 08, 2014 10:44 pm
Posts: 4
I'm not getting the v1.6 installer, I tried downloading from link above and I get the same:
Code:
Component          Version   
GNS3v1 Installer, 2014-09-13:    1.51      
GNS3 Server:          1.0beta3   
GNS3 GUI:          1.0beta3   
Dynamips:          0.2.11      
GNS3 Topology Converter:    0.4.0      
Virtual PC Simulator:       0.5b0


This was a fresh install, so it seems there are dependencies missing:
Code:
Updating vpcs code from sourceforge
./installGNS3v1.sh: line 743: svn: command not found
./installGNS3v1.sh: line 744: cd: vpcs-code/src: No such file or directory
./installGNS3v1.sh: line 745: ./mk.sh: No such file or directory
mv: cannot stat ‘vpcs’: No such file or directory




Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 15 posts ]  Go to page 1, 2  Next

All times are UTC


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO